/***************************************************************************
                          packet_out.h  -  description
                             -------------------
    begin                : Mon Aug 4 2003
    copyright            : (C) 2003 by Luke Klein-Berndt
    email                : kleinb@nist.gov
 ***************************************************************************/
#ifndef PACKET_OUT_H
#define PACKET_OUT_H

#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/netfilter.h>
#include <linux/skbuff.h>
#include <linux/udp.h>
#include <linux/ip.h>
#include <net/sock.h>

#include "aodv.h"
#include "aodv_route.h"



unsigned int output_handler(unsigned int hooknum, struct sk_buff **skb,
                            const struct net_device *in, const struct net_device *out, int (*okfn) (struct sk_buff *));

#endif
